Bug 62967 - [EFL] Remove dead code related with Ewk_Tiled_Backing_Store_Item’s update field.
Summary: [EFL] Remove dead code related with Ewk_Tiled_Backing_Store_Item’s update field.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-20 01:16 PDT by KwangHyuk
Modified: 2011-06-27 01:02 PDT (History)
10 users (show)

See Also:


Attachments
propose a simple patch (7.82 KB, patch)
2011-06-20 21:36 PDT, KwangHyuk
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description KwangHyuk 2011-06-20 01:16:46 PDT
As Ewk_Tiled_Backing_Store_Item’s update field is not used through ewk and it just causes condition check through some APIs, some dead code related with this field are better to be removed.
Comment 1 KwangHyuk 2011-06-20 21:36:58 PDT
Created attachment 97926 [details]
propose a simple patch
Comment 2 Gyuyoung Kim 2011-06-21 19:19:30 PDT
Rafael, how do you think about this patch ?
Comment 3 Leandro Pereira 2011-06-22 07:36:49 PDT
Comment on attachment 97926 [details]
propose a simple patch

Informal r+.
Comment 4 Leandro Pereira 2011-06-22 07:39:41 PDT
(In reply to comment #2)
> Rafael, how do you think about this patch ?

There are other changes pending to be upstreamed on EFL tiled backing store; this patch actually makes it pretty similar to the version we have internally. I'm giving an informal r+ here -- I'll rebase the internal changes later.
Comment 5 Kenneth Rohde Christiansen 2011-06-27 00:32:56 PDT
Comment on attachment 97926 [details]
propose a simple patch

Great stuff - away with dead code :-)
Comment 6 WebKit Review Bot 2011-06-27 01:02:02 PDT
Comment on attachment 97926 [details]
propose a simple patch

Clearing flags on attachment: 97926

Committed r89800: <http://trac.webkit.org/changeset/89800>
Comment 7 WebKit Review Bot 2011-06-27 01:02:07 PDT
All reviewed patches have been landed.  Closing bug.